//---------------------------------------------------------------------------

#ifndef printSetH
#define printSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Grids.hpp>
#include <DB.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TBarPrint : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *BitBtn1;
        TBitBtn *BitBtn2;
        TBitBtn *BitBtn3;
        TStringGrid *PrintSG;
        TDataSource *DataSource1;
        TQuery *Query1;
        TListBox *ListBox1;
        void __fastcall BitBtn2Click(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall BitBtn3Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall PrintSGKeyPress(TObject *Sender, char &Key);
        void __fastcall ListBox1KeyPress(TObject *Sender, char &Key);
        void __fastcall PrintSGKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall ListBox1DblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TBarPrint(TComponent* Owner);
        String BarSet(String st);
        int TypeA(int a);
        int TypeB(int a);
        int TypeC(int a);
        int TypeStart(int a);
        bool BarChk(String st);
};
//---------------------------------------------------------------------------
extern PACKAGE TBarPrint *BarPrint;
//---------------------------------------------------------------------------
#endif
